### Hierarchy

- XmlComponent
  - Run
    - TextRun
    - PictureRun
    - PageBreak
    - FootnoteReferenceRun
    - FootnoteRefRun
    - ContinuationSeperatorRun
    - SeperatorRun

## Index

### Constructors

- constructor

### Properties

- deleted
- properties
- root
- rootKey

### Accessors

- isDeleted

### Methods

- addChildElement
- allCaps
- bold
- break
- color
- delete
- doubleStrike
- font
- italic
- pageNumber
- prepForXml
- rtl
- size
- smallCaps
- strike
- style
- subScript
- superScript
- tab
- underline

## Constructors

### constructor

- new Run(): Run

- Overrides XmlComponent.constructor

  - Defined in file/paragraph/run/run.ts:16

  #### Returns Run

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected properties

properties: RunProperties

- Defined in file/paragraph/run/run.ts:16

### Protected root

root: Array<BaseXmlComponent | string>

Inherited from XmlComponent.root

- Defined in file/xml-components/xml-component.ts:6

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### allCaps

- allCaps(): Run

- - Defined in file/paragraph/run/run.ts:78

  #### Returns Run

### bold

- bold(): Run

- - Defined in file/paragraph/run/run.ts:24

  #### Returns Run

### break

- break(): Run

- - Defined in file/paragraph/run/run.ts:55

  #### Returns Run

### color

- color(color: string): Run

- - Defined in file/paragraph/run/run.ts:39

  #### Parameters

  - ##### color: string

  #### Returns Run

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### doubleStrike

- doubleStrike(): Run

- - Defined in file/paragraph/run/run.ts:88

  #### Returns Run

### font

- font(fontName: string, hint?: string | undefined): Run

- - Defined in file/paragraph/run/run.ts:103

  #### Parameters

  - ##### fontName: string

  - ##### Optional hint: string | undefined

  #### Returns Run

### italic

- italic(): Run

- - Defined in file/paragraph/run/run.ts:29

  #### Returns Run

### pageNumber

- pageNumber(): Run

- - Defined in file/paragraph/run/run.ts:65

  #### Returns Run

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:13

  #### Returns IXmlableObject

### rtl

- rtl(): Run

- - Defined in file/paragraph/run/run.ts:50

  #### Returns Run

### size

- size(size: number): Run

- - Defined in file/paragraph/run/run.ts:44

  #### Parameters

  - ##### size: number

  #### Returns Run

### smallCaps

- smallCaps(): Run

- - Defined in file/paragraph/run/run.ts:73

  #### Returns Run

### strike

- strike(): Run

- - Defined in file/paragraph/run/run.ts:83

  #### Returns Run

### style

- style(styleId: string): Run

- - Defined in file/paragraph/run/run.ts:108

  #### Parameters

  - ##### styleId: string

  #### Returns Run

### subScript

- subScript(): Run

- - Defined in file/paragraph/run/run.ts:93

  #### Returns Run

### superScript

- superScript(): Run

- - Defined in file/paragraph/run/run.ts:98

  #### Returns Run

### tab

- tab(): Run

- - Defined in file/paragraph/run/run.ts:60

  #### Returns Run

### underline

- underline(underlineType?: undefined | string, color?: undefined | string): Run

- - Defined in file/paragraph/run/run.ts:34

  #### Parameters

  - ##### Optional underlineType: undefined | string

  - ##### Optional color: undefined | string

  #### Returns Run

Generated using TypeDoc